Bug 118569 - Signature Line: When signing ooxml, only show X.509 certificates
Summary: Signature Line: When signing ooxml, only show X.509 certificates
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Digital-Signature-Lines
  Show dependency treegraph
 
Reported: 2018-07-06 06:29 UTC by Samuel Mehrbrodt (allotropia)
Modified: 2018-09-17 08:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (allotropia) 2018-07-06 06:29:47 UTC
No PGP keys should be shown when signing OOXML documents.
Comment 1 Xisco Faulí 2018-07-11 12:14:10 UTC
Moving to NEW
Comment 2 Commit Notification 2018-09-17 08:06:39 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b4c6892630a98c1218aca72827f718184a4b5f0

tdf#118569 Signature Line: When signing ooxml, only show X.509 certificates

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.